Ошибки и проблемы п...
 

Ошибки и проблемы при обновлении Kali Linux  

  RSS

MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:22 дп  

Полное обновление системы выполняется так:

sudo apt update && sudo apt -y full-upgrade

Процесс обновления требует:

  • правильную запись в источниках приложений
  • Интернет-подключение

Источники приложений (репозитории) записаны в файле /etc/apt/sources.list

Для открытия файла используйте команду

gedit /etc/apt/sources.list

Строки, которые начинаются с символа # - это комментарии, не обращайте на них внимание.

Важно, чтобы там была строка:

deb https://http.kali.org/kali kali-rolling main non-free contrib

Причём эта строка должна быть единственной незакомментирвоанной.

Строка может быть такой:

deb http://http.kali.org/kali kali-rolling main non-free contrib

Она идентична, но вместо HTTPS указан протокол HTTP. Главное, чтобы был один из этих вариантов, а других незакомментированных строк не было.

Дополнительную информацию об обновлении Kali Linux, какие ещё есть команды и вопросы, связанные с обновлением, смотрите в справочной статье «Как обновить Kali Linux».

Ниже задавайте ваши вопросы о возникающих проблемах при обновлении системы.

This topic was modified 8 месяцев назад 2 times by MiAl

Цитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:27 дп  

Ошибка «E: Не удалось получить ... Соединение разорвано [IP:»

Часть выводимой при неудачном обновлении информации:

Пол:325  http://mirror-1.truenetwork.ru/kali  kali-rolling/main amd64 unattended-upgrades all 1.9 [78,3 kB]
Пол:326 http://mirror-1.truenetwork.ru/kali kali-rolling/main amd64 vdpau-driver-all amd64 1.1.1-9 [20,8 kB]
Пол:327 http://mirror-1.truenetwork.ru/kali kali-rolling/non-free amd64 wpscan all 3.4.1-0kali1 [49,1 kB]
Пол:328 http://mirror-1.truenetwork.ru/kali kali-rolling/main amd64 xpdf amd64 3.04-11 [163 kB]
Получено 683 MB за 11мин 22с (1 002 kB/s)
E: Не удалось получить http://http.kali.org/kali/pool/main/p/python-setuptools/python3-pkg-resources_40.6.2-1_all.deb Соединение разорвано [IP: 192.99.200.113 80]
E: Не удалось получить http://http.kali.org/kali/pool/main/r/ruby-eventmachine/ruby-eventmachine_1.0.7-4.2_amd64.deb Соединение разорвано [IP: 192.99.200.113 80]
E: Не удалось получить некоторые архивы; возможно, нужно запустить apt-get update или попытаться повторить запуск с ключом --fix-missing?

Ключевой здесь является информация:

Ошибка «E: Не удалось получить ... Соединение разорвано [IP:»

То есть не удалось получить некоторые файлы пакетов.

Причина ошибки:

  • у вас нестабильное Интернет-подключение и некоторые файлы не были загружены из-за разрывов подключения
  • между обновлением кэша приложений и загрузкой файлов прошло некоторое время, в течении которого пакеты в репозитории успели обновиться — то есть вы пытаетесь загрузить старые пакеты, а на сервере они больше недоступны, так как заменены новыми версиями. Такая ситуация вполне вероятно, особенно если вам необходимо обновиться много пакетов, а ваше Интернет-подключение является медленным.

Для решение проблемы — просто заново перезапустите обновление командами:

sudo apt update && sudo apt -y full-upgrade

Это должно полностью исправить ошибку.


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:30 дп  

Во время обновления появляется окно или запрос, на которое не реагирует на клики.

Во время обновления появляется окно или запрос, на которое не реагирует на клики.

Иногда при обновлении появляются запросы к пользователю, которые могут выглядеть примерно так:

Ещё вариант:

Поскольку обновление происходит в консоли, то, что вы видите, это псевдографический интерфейс и для работы с ним используйте особые кнопки:

TAB — для перехода по пунктам меню

Пробел или Enter — для выбора или отмены выбора

С помощью клавиши TAB перейдите на кнопку «ОК» и клавишей Enter нажмите её для продолжения обновления.


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:40 дп  

Что делать если программа спрашивает про обновление конфигурационного файла.

При некоторых обновлениях некоторых пакетов меняется структура конфигурационного файла. Как правило, в новом файле содержаться директивы и настройки, которые необходимы для новой версии программы, без которых она не может работать.

Настройка программы — это в почти всегда изменение конфигурационных файлов. Конечный результат может быть результатом длительной работы с конфигурацией и множества тестов. На это могут быть потрачены часы или даже дни.

Поэтому при необходимости обновить конфигурацию, возникает дилемма:

  • не обновлять конфиг, в результате чего новая версия не будет нормально работать
  • обновить конфиг и стереть результаты настройки пользователя

Именно по этой причине система спрашивает у вас каждый раз, что нужно сделать, если с обновлением программы обновляется и конфигурационный файл?

Если в действительности вы не пользовались этой программой, либо сделанные настройки не представляют для вас ценности, то всегда соглашайтесь на обновление конфигурационного файла. Если сделанные настройки для вас важны, то:

  • отказывайтесь от обновления конфигурационного файла
  • сделайте резервную копию вашего конфига, обновите конфигурационный файл, а затем сделайте в нём необходимые настройки

Для некоторых пакетов, например Tor, конфигурационный файл представляет собой просто набор комментариев, в котором не активна ни одна настройка — для таких файлов (если вы их не меняли), обновление является чистой формальностью.


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:43 дп  

Ошб:1 404 Not Found [IP:

При обновлении может возникнуть следующая ошибка:

Ошб:1  http://http.kali.org/kali  kali-rolling/main amd64 libboost-python1.67.0 amd64 1.67.0-10
404 Not Found [IP: 192.99.200.113 80]
Ошб:2 http://http.kali.org/kali kali-rolling/main amd64 libboost-random1.67.0 amd64 1.67.0-10
404 Not Found [IP: 192.99.200.113 80]

Ключевой здесь является строка Ошб:1 404 Not Found — то есть файл пакета не найден. Самой частой причиной этого является устаревший кэш с информацией о пакетах и ссылками на их загрузку.

Поэтому перед обновлением пакетов обновите кэш:

sudo apt update

Либо используйте такую комбинированную команду, которая обновит кэш и сразу запустит загрузку и установку обновлённых версий пакетов:

sudo apt update && sudo apt -y full-upgrade

ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:49 дп  

E: Не удалось получить доступ к файлу блокировки /var/lib/dpkg/lock

Пожалуй, самая частая ошибка при попытке обновления или установки нового пакета:

E: Не удалось получить доступ к файлу блокировки /var/lib/dpkg/lock

Все подробности по этой ошибке, а также инструкции для исправления здесь: https://hackware.ru/?p=6621


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:52 дп  

W: не удалось получить http://http.kali.org/kali/dists/kali-rolling/InRelease

При недоступности адреса http.kali.org (например, из-за его блокировки Интернет-провайдером), может возникнуть ошибка:

W: не удалось получить http://http.kali.org/kali/dists/kali-rolling/InRelease

Подробности о данной ошибке и путях обхода здесь: https://hackware.ru/?p=6633


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 6:58 дп  

W: Произошла ошибка при проверке подписи. Репозиторий не обновлён и будут использованы предыдущие индексные файлы. Ошибка GPG

Процесс обновления пакетов, кроме их скачивания и распаковки, включает в себя также проверку их цифровой подписи. Эта проверка гарантирует:

  • целостность пакетов (что они не были повреждены при скачивании)
  • получение их из надёжного источника (эти пакеты не были модифицированные или созданы неуполномоченными лицами

Цифровая подпись поставляется в систему также упакованной в пакет, который обновляется вместе с другими пакетами системы. Если прошло слишком много времени и файлы для проверки цифровой подписи устарели, то возникает замкнутый круг: вы не можете обновить пакеты в системе, поскольку они проходят проверку цифровой подписи. Вы не можете обновить файлы для проверки цифровой подписи, поскольку они поставляются как пакет, а пакеты не могут быть обновлены, поскольку…

В общем, проблема решается одной командой, которая скачивает и устанавливает актуальный файл для проверки цифровой подписи, подробности здесь: https://hackware.ru/?p=4692


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 7:08 дп  

Обновление Kali Linux затягивается на целый день

В виртуальной машине я сталкиваюсь с замедлением обновления пакетов в Kali Linux. В результате большое обновление может затянуться в буквальном смысле на целый день. Причём, больше всего времени занимает процесс распаковки скаченных обновлённых пакетов. Распаковка exploitdb или metasploit-framework может затянуться просто на часы!

Это ненормально — видимо, какой-то баг.

Лично я выбрал для себя довольно нестандартное решение — у меня Kali Linux установлена на настоящем (а не виртуальном) внешнем USB диске, который я подключаю к VirtualBox и загружаюсь с него в виртуальной машине. То есть я не выходя из основной системы загружаюсь с внешнего диска. Это отличное решение — процесс распаковки пакетов стал занимать считанные минуты, но это чуть усложнённый способ и он подходит не всем.

Если вы хотите работать исключительно в VirtualBox и не подключать внешний USB диск, то в качестве варианта можно удалить два пакета, которые занимают больше всего времени на распаковку, это exploitdb и metasploit-framework. Причём пакет metasploit-framework является зависимостью для таких инструментов как: armitage, commix, ghost-phisher, jboss-autopwn, maltego-teeth, msfpc, set, u3-pwn, unicorn-magic. Если вы используете какой-либо из этих пакетов, то этот способ вам не подойдёт. Если вам эти пакеты не нужны, то их можно удалить командой:

sudo apt remove exploitdb metasploit-framework armitage commix ghost-phisher jboss-autopwn kali-linux-full maltego-teeth msfpc set u3-pwn unicorn-magic

В результате процесс обновления не будет зависать на целый день, если вышла новая версия exploitdb или metasploit-framework.


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 7:44 дп  

Что делать при обрыве обновления?

Если при выполнении Kali Linux обновления ваш компьютер перезагрузился (перебои с электричеством, завис и другие причины), то при следующем обновлении может возникнуть ошибка.

Начните с того, что выполните команду:

sudo apt-get install -f -y

Затем вновь попытайтесь выполнить обновление.

sudo apt update && sudo apt -y full-upgrade

Если оно вновь завершиться ошибкой, то повторите команду

sudo apt-get install -f -y

И опять попытайтесь запустить обновление.

Если это не помогает, то обратите внимание, какой именно пакет вызывает ошибку? Удалите этот пакет. Если система напишет, что удаляемый пакет является зависимостями для других пакетов, то удалите их всех.

sudo apt remove ИМЯ_ПАКЕТА

При этом я рекомендую выписать куда-нибудь названия удаляемых пакетов, чтобы затем вновь их установить и вернуть систему в исходное состояние.

После удаления проблемного пакета вновь попробуйте пару раз:

sudo apt-get install -f -y
sudo apt update && sudo apt -y full-upgrade

Если ошибка исчезла и система удачно обновилась, то верните удалённые пакеты.


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 7:54 дп  

Failed to fetch InRelease

Сам я с такой ошибкой не сталкивался (видимо из-за того, что всегда прописываю HTTPS протокол в источниках приложений Kali Linux), но здесь описывается эта ошибка и показывается, как её исправить.

Эта ошибка возникает при обновление кэша программ командой:

apt update

Пример ошибки:

Err:1  http://http.kali.org/kali  kali-rolling InRelease
  403  Forbidden [IP: 192.99.200.113 80]
Reading package lists... Done
E: Failed to fetch  http://http.kali.org/kali/dists/kali-rolling/InRelease   403  Forbidden [IP: 192.99.200.113 80]
E: The repository 'http://http.kali.org/kali kali-rolling InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

По умолчанию уже упоминавшийся выше файл репозиториев /etc/apt/sources.list содержит запись без HTTPS протокола, но зеркало, к которому может обратиться менеджер пакетов apt может использовать только HTTPS протокол (хотя могут быть варианты, например, зеркало может использовать оба протокола или использовать только HTTP протокол). Из-за этой несовместимости, зеркало отвергает подключение, пришедшее от менеджера обновлений.

Самый простой способ исправить эту ошибку, это заменить HTTP на безопасный протокол HTTPS. Для этого откройте файл /etc/apt/sources.list, и замените там строку с:

deb http://http.kali.org/kali kali-rolling main non-free contrib

На:

deb https://http.kali.org/kali kali-rolling main non-free contrib

Затем вновь запустите обновление кэша пакетов — проблема к этому моменту должна полностью исчезнуть.


ОтветитьЦитата
MiAl
 MiAl
(@mial)
Участник Admin
Присоединился: 11 месяцев назад
Сообщения: 107
21/12/2018 8:09 дп  

Система стала занимать много места на диске

Если количество занятого места увеличивается и вы не можете понять, какими именно файлами заполнен ваш жёсткий диск, то рекомендую подумать о кэше файлов.

По умолчанию все скаченные для обновления файлы не удаляются. Чтобы удалить их все выполните команду:

sudo apt-get clean -y

Также могут накапливаться пакеты, которые после обновления больше не используются в системе, для их удаления выполните команду:

sudo apt autoremove

ОтветитьЦитата
Share:
  
Работает

Пожалуйста, Вход или Зарегистрироваться